<template>
    <div>
        <el-col :span="2" :offset="4">
            <p class="box__style">{{numberCuotaValue}}</p>
        </el-col>
        <el-col :span="5">
            <el-date-picker
                v-model="value.dueDate"
                type="date"
                format="dd/MM/yyyy"
                value-format="timestamp"
                size="small"
                :picker-options="pickerStartDate"
                style="width: 80%">
            </el-date-picker>
            <!-- <el-input 
                v-model="value.dueDate"
                type="date">
            </el-input> -->
            <!-- <input v-model="value.dueDate"
                type="date"/> -->
        </el-col>
        <!-- <el-col :span="5"> -->
            <!-- <input v-model="value.amount"
                type="number"/> -->
            <!-- <el-input v-model="value.amount" @change="changeAmount => {changeAmount = value.amount}">
            </el-input> -->
            <!-- @keyup.enter.native="calculateAmountOfFees"
                @keypress.native="isNumber" size="small" -->
        <!-- </el-col> -->
        <!-- <el-col :span="1">
            <i 
                @click="addContractFee(position)" 
                class="el-icon-circle-plus text-orange" 
                style="font-size:25px;">
            </i>
        </el-col>
        <el-col :span="1">
            <i 
                @click="removeContractFee(position)" 
                class="el-icon-remove" 
                style="font-size:25px; color: rgb(130, 130, 130)">
            </i>
        </el-col> -->
    </div>
</template>

<script>
export default {
    props: [
        'position', 
        'numberCuota', 
        'addContractFee', 
        'removeContractFee', 
        'value'],
    data() {
        return {
            // datePicker: null,
            // importCuotas: null,
            // isRequired: true,
            numberCuotaValue: this.numberCuota,
            pickerStartDate: {
                disabledDate : this.disabledDatePicker
            }
        }
    },
    watch: {
        value() {
            this.$emit("input", this.value)
        }
    //     isCompleteInputs(val) {
    //         this.verifyInputs()
    //     },
    //     datePicker(val) {
    //         this.$emit('changeDatePicker', {
    //             date: val,
    //             importCuotas: this.importCuotas,
    //             position: this.position,
    //             required: this.isRequired
    //         })
    //     },
    //     importCuotas(val) {            
    //         this.$emit('changeDatePicker', {
    //             date: this.datePicker,
    //             importCuotas: val,
    //             position: this.position,
    //             required: this.isRequired
    //         })
    //     },
    },
    methods: {
    //     disabledDatePicker(time) {
    //         const date = new Date()
    //         let yesterday = date.setTime(date.getTime() - 3600 * 1000 * 24)
    //         return time.getTime() < yesterday
    //     },
    //     isNumber (evt) {
    //         evt = (evt) ? evt : window.event;
    //         var charCode = (evt.which) ? evt.which : evt.keyCode;
    //         if ((charCode > 31 && (charCode < 48 || charCode > 57)) && charCode !== 46) {
    //             evt.preventDefault();
    //         } else {
    //             return true;
    //         }      
    //     },
    //     calculateAmountOfFees() {
    //         this.$emit('calculateAmountOfFees')
    //     },
    //     verifyInputs() {
    //         if(
    //             this.importCuotas !== '' &&
    //             this.datePicker !== null
    //         ) {
    //             this.isRequired = false
    //         } else {
    //             this.isRequired = true
    //         }
    //     }
        changeAmount(event) {
            console.log(event, 'event')
            this.$emit("input", event.target.value)
        }
    },
    // computed: {
    //     isCompleteInputs() {
    //         const array = [
    //             this.datePicker,
    //             this.importCuotas
    //         ].join()
    //         return array
    //     }
    // }
}
</script>

<style lang="css">
    .box__style {
        min-height: 36px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 4px;
        border: 1px solid #c0c4cc;
    }
</style>
